当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]升级遇到奇怪的依赖关系问题
帖子发表于 : 2008-02-19 15:37 

注册: 2008-02-09 5:40
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
[code]正在设置 ttf-opensymbol (1:2.3.0-1ubuntu5.3) ...
[code]Updating fontconfig cache...
/usr/share/fonts: failed to write cache
/usr/share/fonts/X11: failed to write cache
/usr/share/fonts/X11/100dpi: failed to write cache
/usr/share/fonts/X11/75dpi: failed to write cache
/usr/share/fonts/X11/Type1: failed to write cache
/usr/share/fonts/X11/encodings: failed to write cache
/usr/share/fonts/X11/encodings/large: failed to write cache
/usr/share/fonts/X11/misc: failed to write cache
/usr/share/fonts/X11/util: failed to write cache
/usr/share/fonts/truetype: failed to write cache
/usr/share/fonts/truetype/arphic: failed to write cache
/usr/share/fonts/truetype/freefont: failed to write cache
/usr/share/fonts/truetype/kochi: failed to write cache
/usr/share/fonts/truetype/thai: failed to write cache
/usr/share/fonts/truetype/ttf-arabeyes: failed to write cache
/usr/share/fonts/truetype/ttf-bitstream-vera: failed to write cache
/usr/share/fonts/truetype/ttf-dejavu: failed to write cache
/usr/share/fonts/truetype/ttf-gentium: failed to write cache
/usr/share/fonts/truetype/ttf-indic-fonts-core: failed to write cache
/usr/share/fonts/truetype/ttf-lao: failed to write cache
/usr/share/fonts/truetype/ttf-malayalam-fonts: failed to write cache
/usr/share/fonts/truetype/ttf-mgopen: failed to write cache
/usr/share/fonts/truetype/unfonts: failed to write cache
/usr/share/fonts/type1: failed to write cache
/usr/share/fonts/type1/gsfonts: failed to write cache
/usr/local/share/fonts: failed to write cache
/var/lib/defoma/fontconfig.d: failed to write cache
/var/lib/defoma/fontconfig.d/A: failed to write cache
/var/lib/defoma/fontconfig.d/B: failed to write cache
/var/lib/defoma/fontconfig.d/C: failed to write cache
/var/lib/defoma/fontconfig.d/D: failed to write cache
/var/lib/defoma/fontconfig.d/E: failed to write cache
/var/lib/defoma/fontconfig.d/F: failed to write cache
/var/lib/defoma/fontconfig.d/G: failed to write cache
/var/lib/defoma/fontconfig.d/H: failed to write cache
/var/lib/defoma/fontconfig.d/J: failed to write cache
/var/lib/defoma/fontconfig.d/K: failed to write cache
/var/lib/defoma/fontconfig.d/L: failed to write cache
/var/lib/defoma/fontconfig.d/M: failed to write cache
/var/lib/defoma/fontconfig.d/N: failed to write cache
/var/lib/defoma/fontconfig.d/O: failed to write cache
/var/lib/defoma/fontconfig.d/P: failed to write cache
/var/lib/defoma/fontconfig.d/R: failed to write cache
/var/lib/defoma/fontconfig.d/S: failed to write cache
/var/lib/defoma/fontconfig.d/T: failed to write cache
/var/lib/defoma/fontconfig.d/U: failed to write cache
/var/lib/defoma/fontconfig.d/V: failed to write cache
/var/lib/defoma/fontconfig.d/m: failed to write cache
/var/lib/defoma/fontconfig.d/u: failed to write cache
dpkg:处理 ttf-opensymbol (--configure)时出错:
子进程 post-installation script 返回了错误号 49
dpkg:依赖关系问题使得 openoffice.org-core 的配置工作不能继续:
openoffice.org-core 依赖于 ttf-opensymbol;然而:
软件包 ttf-opensymbol 还没有被配置。
dpkg:处理 openoffice.org-core (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-calc 的配置工作不能继续:
openoffice.org-calc 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-calc (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 python-uno 的配置工作不能继续:
python-uno 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 python-uno (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-writer 的配置工作不能继续:
openoffice.org-writer 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
openoffice.org-writer 依赖于 python-uno (>= 1:2.3.0);然而:
软件包 python-uno 还没有被配置。
dpkg:处理 openoffice.org-writer (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-draw 的配置工作不能继续:
openoffice.org-draw 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-draw (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-impress 的配置工作不能继续:
openoffice.org-impress 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
openoffice.org-impress 依赖于 openoffice.org-draw (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-draw 还没有被配置。
dpkg:处理 openoffice.org-impress (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-base 的配置工作不能继续:
openoffice.org-base 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-base (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-gtk 的配置工作不能继续:
openoffice.org-gtk 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-gtk (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-gnome 的配置工作不能继续:
openoffice.org-gnome 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
openoffice.org-gnome 依赖于 openoffice.org-gtk;然而:
软件包 openoffice.org-gtk 还没有被配置。
dpkg:处理 openoffice.org-gnome (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-evolution 的配置工作不能继续:
openoffice.org-evolution 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
openoffice.org-evolution 依赖于 openoffice.org-base;然而:
软件包 openoffice.org-base 还没有被配置。
dpkg:处理 openoffice.org-evolution (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-math 的配置工作不能继续:
openoffice.org-math 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-math (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org 的配置工作不能继续:
openoffice.org 依赖于 openoffice.org-core (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-core 还没有被配置。
openoffice.org 依赖于 openoffice.org-writer;然而:
软件包 openoffice.org-writer 还没有被配置。
openoffice.org 依赖于 openoffice.org-calc;然而:
软件包 openoffice.org-calc 还没有被配置。
openoffice.org 依赖于 openoffice.org-impress;然而:
软件包 openoffice.org-impress 还没有被配置。
openoffice.org 依赖于 openoffice.org-draw;然而:
软件包 openoffice.org-draw 还没有被配置。
openoffice.org 依赖于 openoffice.org-math;然而:
软件包 openoffice.org-math 还没有被配置。
openoffice.org 依赖于 openoffice.org-base;然而:
软件包 openoffice.org-base 还没有被配置。
dpkg:处理 openoffice.org (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 openssl (0.9.8e-5ubuntu3.1) ...

正在设置 pidgin (1:2.2.1-1ubuntu4.1) ...

正在设置 python-libxml2 (2.6.30.dfsg-2ubuntu1.1) ...

正在设置 samba-common (3.0.26a-1ubuntu2.3) ...

正在设置 smbclient (3.0.26a-1ubuntu2.3) ...
正在设置 sound-juicer (2.20.1-0ubuntu1) ...

正在设置 ssh-askpass-gnome (1:4.6p1-5ubuntu0.1) ...

正在设置 ubufox (0.4~beta1-0ubuntu6) ...
正在设置 xserver-xorg-core (2:1.3.0.0.dfsg-12ubuntu8.3) ...
正在设置 xserver-xorg-video-intel (2:2.1.1-0ubuntu9.1) ...

正在设置 libsmbclient (3.0.26a-1ubuntu2.3) ...

dpkg:依赖关系问题使得 openoffice.org-common 的配置工作不能继续:
openoffice.org-common 依赖于 openoffice.org-core (>> 1:2.3.0);然而:
软件包 openoffice.org-core 还没有被配置。
dpkg:处理 openoffice.org-common (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-java-common 的配置工作不能继续:
openoffice.org-java-common 依赖于 openoffice.org-common;然而:
软件包 openoffice.org-common 还没有被配置。
dpkg:处理 openoffice.org-java-common (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 openoffice.org-style-human 的配置工作不能继续:
openoffice.org-style-human 依赖于 openoffice.org-common (= 1:2.3.0-1ubuntu5.3);然而:
软件包 openoffice.org-common 还没有被配置。
dpkg:处理 openoffice.org-style-human (--configure)时出错:
依赖关系问题 - 仍未被配置
正在设置 language-pack-en (1:7.10+20080205) ...
正在设置 language-pack-gnome-en (1:7.10+20080205) ...
正在设置 language-pack-gnome-zh (1:7.10+20080205) ...
正在设置 libesd-alsa0 (0.2.38-0ubuntu4.1) ...

正在设置 libmono-system2.0-cil (1.2.4-6ubuntu6.1) ...
正在设置 libmono-sharpzip2.84-cil (1.2.4-6ubuntu6.1) ...
正在设置 perl-modules (5.8.8-7ubuntu3.1) ...
.........
.........
........
在处理时有错误发生:
ttf-opensymbol
openoffice.org-core
openoffice.org-calc
python-uno
openoffice.org-writer
openoffice.org-draw
openoffice.org-impress
openoffice.org-base
openoffice.org-gtk
openoffice.org-gnome
openoffice.org-evolution
openoffice.org-math
openoffice.org
openoffice.org-common
openoffice.org-java-common
openoffice.org-style-human
E: Sub-process /usr/bin/dpkg returned an error code (1)[/code]


请问如何处理?每次安装一个软件的时候都会报这个错。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-02-19 16:54 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
搜索论坛,会有答案。


_________________
你是自由的。别人也是。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-02-20 12:36 

注册: 2007-12-31 11:40
帖子: 389
送出感谢: 0 次
接收感谢: 0 次
sudo dpkg --configure -a


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-03-06 15:58 
头像

注册: 2006-09-10 16:06
帖子: 1456
送出感谢: 0 次
接收感谢: 0 次
果然是时间问题,时间往后改一年,OK了,包的维护者的机器上时间设定有问题吧。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Exabot [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译